Package owl.collections

## Class Collections3

- java.lang.Object
- - owl.collections.Collections3

-     public final class Collections3
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> boolean` | `addAllDistinct​(List<T> list, Collection<T> elements)` |
    `static <T> boolean` | `addDistinct​(List<T> list, T element)` |
    `static <E> Collection<E>` | `append​(Collection<E> list, E element)` |
    `static <E> List<E>` | `append​(List<E> list, E element)` |
    `static <E> boolean` | `isDistinct​(Collection<E> collection)` |
    `static <F,T> Set<T>` | `transformUnique​(Collection<F> collection, Function<F,T> transformer)` |
    `static <E1,E2> void` | `zip​(Iterable<E1> iterable1, Iterable<E2> iterable2, BiConsumer<E1,E2> action)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addAllDistinct

          public static <T> boolean addAllDistinct​(List<T> list,
                                                   Collection<T> elements)

    - #### addDistinct

          public static <T> boolean addDistinct​(List<T> list,
                                                T element)

    - #### isDistinct

          public static <E> boolean isDistinct​(Collection<E> collection)

    - #### append

          public static <E> Collection<E> append​(Collection<E> list,
                                                 E element)

    - #### append

          public static <E> List<E> append​(List<E> list,
                                           E element)

    - #### transformUnique

          public static <F,T> Set<T> transformUnique​(Collection<F> collection,
                                                     Function<F,T> transformer)

    - #### zip

          public static <E1,E2> void zip​(Iterable<E1> iterable1,
                                         Iterable<E2> iterable2,
                                         BiConsumer<E1,E2> action)